Subject: Re: bug#29361: 26.0.50; MacOSX Command-Option-H undefined

From: Alan Third <[email-masked]>
Date: Mon, 20 Nov 2017 20:49:57 +0000

On Sun, Nov 19, 2017 at 03:23:39PM -0500, Devon Sean McCullough wrote:
> $ Open -n -a Emacs --args -Q
> Clover-Alt-H fails to perform ns-do-hide-others
> which does work from the menu Emacs > Hide Others

Hi Devon, I believe you already submitted a patch for clover‐alt‐H a
while back, and it was committed. I think you must be running a
slightly out of date build.

> The MacOSX Emacs menu says: 	But the keymap says:
> 	About Emacs
> 	Preferences...	 ⌘, 	s-, runs the command customize
> 	Services      	 ►
> 	Hide Emacs    	 ⌘H 	s-h runs the command ns-do-hide-emacs
> 	Hide Others   	⌥⌘H 	M-s-˙ is undefined
> 	Quit Emacs    	 ⌘Q 	s-q runs the command save-buffers-kill-emacs
> 
> What the menu promises should work
> and these particular bindings are mandatory for all MacOSX apps.
> 
> To fix this and related infelicities, patch lisp/term/ns-win.el

I’m unsure about some of the changes you’re making in this patch. Are
you rearranging some of the lines? I think that’s generally frowned
upon as it makes tracking changes harder.

If you could redo your changes against a more up to date copy of
ns-win.el, I’ll be happy to commit it.

> P.S. The MacOSX Emacs Edit menu fails to show some mandatory keys:
> 
> The MacOSX Edit menu says:	  	But should say:
>         Undo (C-x u)      	  	Undo (C-x u)    	 ⌘Z
>         Cut               	  	Cut             	 ⌘X
>         Copy              	 ⌘C	Copy            	 ⌘C
>         Paste (C-y)       	  	Paste (C-y)     	 ⌘V
>         Select and Paste  	 ►	Select and Paste	 ►
>         Clear             	  	Clear
>         Select All (C-x h)	  	Select All (C-x h)	 ⌘A
>         Search            	 ►	Search          	 ►
>         Replace           	 ►	Replace         	 ►
>         Go To             	 ►	Go To           	 ►
>         Bookmarks         	 ►	Bookmarks       	 ►
>         Fill              	  	Fill
>         Spell             	 ►	Spell           	 ►
>         Text Properties   	 ►	Text Properties 	 ►
> 
> These keys all work as required but only ⌘C appears on the menu.
> Sorry, I have no patch for this.

I’m not sure how to fix this either. I’ll have to have a dig around.
-- 
Alan Third